Bug 108855 - [WK2] CoordinatedGraphicsLayerState is a struct, not a class
Summary: [WK2] CoordinatedGraphicsLayerState is a struct, not a class
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Bruno Abinader (history only)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-04 13:31 PST by Bruno Abinader (history only)
Modified: 2013-04-25 21:42 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.83 KB, patch)
2013-02-04 13:34 PST, Bruno Abinader (history only)
kling: review+
Details | Formatted Diff | Diff
Patch for landing (1.44 KB, patch)
2013-04-18 06:37 PDT, Bruno Abinader (history only)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Abinader (history only) 2013-02-04 13:31:28 PST
Some forward declarations of CoordinatedLayerInfo were stating it is a class, but in fact it is a struct.
Comment 1 Bruno Abinader (history only) 2013-02-04 13:34:34 PST
Created attachment 186449 [details]
Patch

Proposed patch
Comment 2 Noam Rosenthal 2013-02-04 13:45:46 PST
Comment on attachment 186449 [details]
Patch

Since this is trivial I take the liberty to r+ it :)
Comment 3 Noam Rosenthal 2013-02-04 14:07:54 PST
Comment on attachment 186449 [details]
Patch

Clearing r+, since apparently it's not ok to r+ trivial patches anymore.
Comment 4 Andreas Kling 2013-04-18 06:09:13 PDT
Comment on attachment 186449 [details]
Patch

rs=me
Comment 5 Bruno Abinader (history only) 2013-04-18 06:33:07 PDT
CoordinatedLayerInfo has changed to CoordinatedGraphicsLayerState in r144787, but the forward declaration issue is still valid. I'm rebasing the patch for landing atm.
Comment 6 Bruno Abinader (history only) 2013-04-18 06:37:39 PDT
Created attachment 198730 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2013-04-18 07:06:50 PDT
Comment on attachment 198730 [details]
Patch for landing

Clearing flags on attachment: 198730

Committed r148674: <http://trac.webkit.org/changeset/148674>
Comment 8 Bruno Abinader (history only) 2013-04-25 21:42:35 PDT
All reviewed patches have been landed. Closing bug.